Package org.kapott.hbci.smartcardio

# Enum SmartCardService.Feature

java.lang.Object
java.lang.Enum<SmartCardService.Feature>
org.kapott.hbci.smartcardio.SmartCardService.Feature

All Implemented Interfaces:
  `Serializable`, `Comparable<SmartCardService.Feature>`, `java.lang.constant.Constable`

Enclosing class:
  SmartCardService

protected static enum SmartCardService.Feature extends Enum<SmartCardService.Feature>
Kapselt die Features der Karte.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FEATURE_ABORT`
`FEATURE_CCID_ESC_COMMAND`
`FEATURE_EXECUTE_PACE`
`FEATURE_GET_KEY`
`FEATURE_GET_KEY_PRESSED`
`FEATURE_GET_TLV_PROPERTIES`
`FEATURE_IFD_DISPLAY_PROPERTIES`
`FEATURE_IFD_PIN_PROPERTIES`
`FEATURE_MCT_READER_DIRECT`
`FEATURE_MCT_UNIVERSAL`
`FEATURE_MODIFY_PIN_DIRECT`
`FEATURE_MODIFY_PIN_DIRECT_APP_ID`
`FEATURE_MODIFY_PIN_FINISH`
`FEATURE_MODIFY_PIN_START`
`FEATURE_SET_SPE_MESSAGE`
`FEATURE_VERIFY_PIN_DIRECT`
`FEATURE_VERIFY_PIN_DIRECT_APP_ID`
`FEATURE_VERIFY_PIN_FINISH`
`FEATURE_VERIFY_PIN_START`
`FEATURE_WRITE_DISPLAY`

## Method Summary

Modifier and Type
Method
Description
`static SmartCardService.Feature`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SmartCardService.Feature[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FEATURE_VERIFY_PIN_START

public static final SmartCardService.Feature FEATURE_VERIFY_PIN_START

### FEATURE_VERIFY_PIN_FINISH

public static final SmartCardService.Feature FEATURE_VERIFY_PIN_FINISH

### FEATURE_MODIFY_PIN_START

public static final SmartCardService.Feature FEATURE_MODIFY_PIN_START

### FEATURE_MODIFY_PIN_FINISH

public static final SmartCardService.Feature FEATURE_MODIFY_PIN_FINISH

### FEATURE_GET_KEY_PRESSED

public static final SmartCardService.Feature FEATURE_GET_KEY_PRESSED

### FEATURE_VERIFY_PIN_DIRECT

public static final SmartCardService.Feature FEATURE_VERIFY_PIN_DIRECT

### FEATURE_MODIFY_PIN_DIRECT

public static final SmartCardService.Feature FEATURE_MODIFY_PIN_DIRECT

### FEATURE_MCT_READER_DIRECT

public static final SmartCardService.Feature FEATURE_MCT_READER_DIRECT

### FEATURE_MCT_UNIVERSAL

public static final SmartCardService.Feature FEATURE_MCT_UNIVERSAL

### FEATURE_IFD_PIN_PROPERTIES

public static final SmartCardService.Feature FEATURE_IFD_PIN_PROPERTIES

### FEATURE_ABORT

public static final SmartCardService.Feature FEATURE_ABORT

### FEATURE_SET_SPE_MESSAGE

public static final SmartCardService.Feature FEATURE_SET_SPE_MESSAGE

### FEATURE_VERIFY_PIN_DIRECT_APP_ID

public static final SmartCardService.Feature FEATURE_VERIFY_PIN_DIRECT_APP_ID

### FEATURE_MODIFY_PIN_DIRECT_APP_ID

public static final SmartCardService.Feature FEATURE_MODIFY_PIN_DIRECT_APP_ID

### FEATURE_WRITE_DISPLAY

public static final SmartCardService.Feature FEATURE_WRITE_DISPLAY

### FEATURE_GET_KEY

public static final SmartCardService.Feature FEATURE_GET_KEY

### FEATURE_IFD_DISPLAY_PROPERTIES

public static final SmartCardService.Feature FEATURE_IFD_DISPLAY_PROPERTIES

### FEATURE_GET_TLV_PROPERTIES

public static final SmartCardService.Feature FEATURE_GET_TLV_PROPERTIES

### FEATURE_CCID_ESC_COMMAND

public static final SmartCardService.Feature FEATURE_CCID_ESC_COMMAND

### FEATURE_EXECUTE_PACE

public static final SmartCardService.Feature FEATURE_EXECUTE_PACE

## Method Details

### values

public static SmartCardService.Feature[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SmartCardService.Feature valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null